/**
 * \file Abscisse.h
 * \date 24.04.2004
 * \author Pavol Misik
 * Interface for the Abscisse class.
 * Interfejs pre triedu usecky.
 */


#ifndef COMMON_WORLD_ABSCISSE_H
#define COMMON_WORLD_ABSCISSE_H


#include "Common/World/Line.h"
#include "Common/World/Point.h"

class Abscisse : public Line  
{
public:
	Abscisse ParallelPerp(const Point& p)const;
	Abscisse(const Point &p1, const Point &p2);
	virtual ~Abscisse();

	bool IsOnAbscisse(const Point &p);
private:
	void SetRange(const Point& p1, const Point& p2);

	Point ptBegin;
	Point ptEnd;

	float left;
	float right;
	float top;
	float bottom;

};

#endif // COMMON_WORLD_ABSCISSE_H
